/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectapproval.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.modules.projectrecord.entity.ProjectRecords;
import com.jeeplus.modules.sys.entity.User;
import com.jeeplus.modules.sys.entity.Workattachment;

import java.util.Date;
import java.util.List;

/**
 * 报批Entity
 * @author 杨帆
 * @version 2018-06-05
 */
public class ProjectApproval extends DataEntity<ProjectApproval> {

	private static final long serialVersionUID = 1L;
	private String companyId;		// 公司id
	private String officeId;		// 部门id
	private String name;		// 资料名称
	private String type;		// 资料类别
	private ProjectRecords project;		// 项目id
	private User user;   //上传人
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date uploadDate;		// 上传日期
	private List<Workattachment> workAttachments;
	private String num;

	public ProjectApproval() {
		super();
	}

	public ProjectApproval(String id){
		super(id);
	}

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}

	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}


	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}


	public ProjectRecords getProject() {
		return project;
	}

	public void setProject(ProjectRecords project) {
		this.project = project;
	}


	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public Date getUploadDate() {
		return uploadDate;
	}

	public void setUploadDate(Date uploadDate) {
		this.uploadDate = uploadDate;
	}

	public List<Workattachment> getWorkAttachments() {
		return workAttachments;
	}

	public void setWorkAttachments(List<Workattachment> workAttachments) {
		this.workAttachments = workAttachments;
	}

	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}
}